package com.ruoyi.demo.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.demo.entity.BrandCity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface BrandCityDao extends BaseMapper<BrandCity> {
    List<BrandCity> searchByBrandId(String brandId);

    List<BrandCity> searchByBrandIdOrderByCity(@Param("brandId") String brandId, @Param("month") String month);

    void insertAll(@Param("cities") List<BrandCity> cities);

    List<String> selectIns();

    Integer selectCountByBrandId(String brandId);
}
